Navigation

Get Billing Customer

Retrieve a customer profile with payment details and enrollments

POST /public/edge/getCustomer

Retrieves a billing customer by ID with their full profile and all associated trigger enrollments.

Requires a valid `api_key` in the JSON request body

Parameters

Name In Type Required Description
api_key body string Yes Your Zyntro API key
bc_id body string Yes The billing customer UUID to retrieve

Code Samples

bash
curl -X POST https://app.zyntrohq.com/apis/public/edge/getCustomer.php \
  -H "Content-Type: application/json" \
  -d '{
    "api_key": "your_api_key",
    "bc_id": "bc_xxx"
  }'

Response

200 Customer found
json
{
    "data": {
        "bc_id": "bc_xxx",
        "bc_contid": "cont_xxx",
        "bc_status": "active",
        "bc_gateway": "stripe",
        "bc_payment_data": {
            "pm_id": "pm_xxx",
            "pm_label": "Visa \u2022\u2022\u2022\u2022 4242",
            "customer_id": "cus_xxx"
        },
        "bc_allow_trigger": 1,
        "bc_initial_charged": 1
    },
    "status": "success",
    "enrollments": [
        {
            "ts_id": "ts_xxx",
            "ts_status": "active",
            "ts_billable_item_id": "bi_xxx",
            "ts_last_triggered_at": "2026-03-30 10:22:00",
            "ts_consecutive_failures": 0
        }
    ]
}
200 Customer not found
json
{
    "errors": [
        "Billing customer not found"
    ],
    "status": "error"
}

Was this article helpful?

NotebookLM Overviews